﻿using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDFSample
{
    class Program
    {
        private static byte[] ret = null;
        private static bool isLoadedForm = false;
        static void Main(string[] args)
        {
            string[] files = Directory.GetFiles("../../Data/", "*.pdf");
                for (int i = 0; i < files.Length; i++)
                {
                    byte[] docByte = GetBytes(files[i], i);
                }
        }

        private static byte[] GetBytes (string template, int i)
        {
            using (PdfLoadedDocument loadedDocument = new PdfLoadedDocument(template))
            {
                PdfLoadedForm loadedForm = loadedDocument.Form;
                if (loadedForm != null)
                {
                    isLoadedForm = true;
                    foreach (var f in loadedForm.Fields)
                    {
                        PdfLoadedFormFieldCollection data = loadedForm.Fields;
                        if (!(f is PdfLoadedTextBoxField)) continue;
                        var ff = (PdfLoadedTextBoxField)f;
                        string v;
                        if (!data.TryGetValue(ff.Name, out v)) continue;
                        ff.Text = v;
                    }
                    loadedForm.Flatten = true;
                }

                using (var mem = new MemoryStream())
                {
                    Console.WriteLine(i.ToString());
                    loadedDocument.Save(mem);
                    ret = mem.ToArray();                   
                }
                loadedDocument.Close(true);
            }
            return ret;
        }
    }
}
